Subject: Re: bug#24500: 25.1.50; Can't other-window from minibuffer if Ediff control panel frame present

From: martin rudalics <[email-masked]>
Date: Sat, 01 Oct 2016 15:09:04 +0200

> At this point the video begins.
 >
 > ;; Click inside *scratch* in the left frame.
 > M-x
 > ;; Click the title bar of the Right Window.
 > C-x o ;; Select window *scratch* in frame 1.
 > C-x o ;; Select minibuffer.
 > C-g ;; Quit M-x

So far we've been talking about what happens when you hit C-x o and C-g
has not been reached yet.  Obviously C-g cancels the entire minibuffer
indirection setup and from then on C-x o will continue to stay within
the frame where it was typed.  This is the standard behavior and I
obviously get the same as you until here.

 > xxx ;; Characters inserted in *scratch*
 > ;; Click on the title bar on the left.
 > xxx ;; Characters inserted in *scratch*
 > ;; Click on the title bar on the right.
 > xxx ;; Characters inserted in *scratch*
 > ;; Click inside window2 on the right.
 > xxx ;; Characters inserted in window2.

This is abnormal indeed and I can't observe that here.  Whenever I click
on a title bar or within a window, the associated fame gets selected and
input focus and all typed text goes there.

martin